LimeSurvey issue tracker
Registration

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
06698Bug reports[All Projects] Accessibilitypublic2012-10-14 14:312014-01-17 21:03
ReporterDenisChenu 
Assigned ToDenisChenu 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
Product Version2.00+ 
Target Version2.05 RCFixed in Version2.05 RC 
Summary06698: All array question type have accessibility problem
DescriptionThere are 2 accessebilty problem:
1st: summary:
- summary take the question-text, the blind user have 2 times question-text.
- explanation on summary is not translatable, it's the opprortunity to give some information like : "Each line is sub question, select your enwer on the cell of the line. The label of the answer is in the table header."
- caption are better for accessibilty and is HTML5 ready. a <caption class="hide"> so the work</caption>
- With some Expression manager : summary can be completely broken (EM are not used in summary)

2nd td > label:
- An empty label don't mean nothing and are to be removed : there are no information more
- Give a good label for each radio/checkbox is ok.
- I test a survey with opera-mini/mobile-view-layout way and i have whole table without are without information. I just see checkbox without information. (Opera-mobile seems to put whole TD in block mode for table). The allways possible way i to put a <input type=radio><label class="hide accessibilty">Answer</label>. I have already done this in javascript, but directly in HTML is great.
Steps To ReproduceFor 1st:
Test with {if(true,"Some information","The user don't have to see this information")} for example. Or try with some table,div,image in question-text and use FANG

For 2nd:
- Use FANG or test with http://www.opera.com/developer/tools/mini/ [^] and set preferences to "single column view" and try to understand the question/answer.
Additional InformationIf it's OK to change this, i take the bug.

See picture with opera-mini emulator. (default template).

It's possible to have a goos accessibility survey with table, and a good "very little screen" with table survey with this option more.

(And again: HTML5 is better, if navigator don't know HTML5 then he gets in quirks mode: quirks is HTML4).
I will donate to the project if issue is resolved within 48 hrsNo
LimeSurvey build number OR git commit ID121014
BrowserFangs
Database & DB-Versionopera mini OR screen reader
Operating System (Server)not relevant
Webserver software & versionnot relevant
PHP Versionnot relevant
Attached Filespng file icon Capture du 2012-10-14 14:24:53.png [^] (14,872 bytes) 2012-10-14 14:32


png file icon Capture du 2012-10-14 14:26:37.png [^] (19,066 bytes) 2012-10-14 14:32

- Relationships
related to 08554closedc_schmitz Hover over answers no longer showing value 

-  Notes
User avatar (21305)
c_schmitz (administrator)
2012-10-14 22:45

ok, please do.
User avatar (21306)
c_schmitz (administrator)
2012-10-14 22:45

Can you do the fix for 2.1? Otherwise you have to do it twice, for 2.0 and 2.1
User avatar (21313)
DenisChenu (developer)
2012-10-15 08:43

This commit : https://github.com/LimeSurvey/LimeSurvey/commit/988b6b6e3e691d8690327fb72112194dbb80fd88 [^] is the last merging for 2.1/master ?

I can wait.
User avatar (23259)
DenisChenu (developer)
2012-12-17 15:09

https://github.com/LimeSurvey/LimeSurvey/commit/65abc08185596b5866ddbf974d81d4a438f68ce2 [^]
User avatar (23329)
c_schmitz (administrator)
2012-12-20 22:56

2.00+ build 121220 released.
User avatar (24882)
DenisChenu (developer)
2013-03-28 16:03

Fix committed to 2.05 branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=12105 [^]

- Related Changesets
LimeSurvey: 2.05 8cbcced3
Timestamp: 2013-03-28 15:02:52
Author: DenisChenu
Committer: Denis Chenu
Details ] Diff ]
Fixed issue 06698: accessibility problem on array question type
Dev: add caption and label where needed
Dev: add 2 new class: dontread and read specific for screenreader,tty (and surely little screen adapt)
mod - application/helpers/qanda_helper.php Diff ] File ]
LimeSurvey: 2.05 deb3570b
Timestamp: 2013-08-10 00:03:20
Author: DenisChenu
Committer: Denis Chenu
Details ] Diff ]
Fixed issue : caption is visible with IE7
Dev: summary are removed from HTML5, but we're not in HTML5 actually
Dev: For HTML5, seems better to use ARIA-described and ARIA-labeleledby for input
Dev: BUT label inside td can be used to for little screen browser : show whole block
Dev: see Opera mini screenshot at bug 06698
mod - application/helpers/qanda_helper.php Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-10-14 14:31 DenisChenu New Issue
2012-10-14 14:32 DenisChenu File Added: Capture du 2012-10-14 14:24:53.png
2012-10-14 14:32 DenisChenu File Added: Capture du 2012-10-14 14:26:37.png
2012-10-14 22:45 c_schmitz Note Added: 21305
2012-10-14 22:45 c_schmitz Assigned To => DenisChenu
2012-10-14 22:45 c_schmitz Status new => assigned
2012-10-14 22:45 c_schmitz Note Added: 21306
2012-10-15 08:43 DenisChenu Note Added: 21313
2012-10-15 08:48 DenisChenu Target Version => 2.10
2012-12-17 15:09 DenisChenu Note Added: 23259
2012-12-17 15:09 DenisChenu Status assigned => resolved
2012-12-17 15:09 DenisChenu Fixed in Version => 2.10
2012-12-17 15:09 DenisChenu Resolution open => fixed
2012-12-20 22:56 c_schmitz Note Added: 23329
2012-12-20 22:56 c_schmitz Status resolved => closed
2013-03-25 22:36 DenisChenu Status closed => feedback
2013-03-25 22:36 DenisChenu Resolution fixed => reopened
2013-03-25 22:37 DenisChenu Fixed in Version 2.10 =>
2013-03-25 22:37 DenisChenu Target Version 2.10 => 2.05 RC
2013-03-25 22:37 DenisChenu Status feedback => assigned
2013-03-28 16:03 DenisChenu Changeset attached => LimeSurvey 2.05 8cbcced3
2013-03-28 16:03 DenisChenu Note Added: 24882
2013-03-28 16:05 DenisChenu Status assigned => resolved
2013-03-28 16:05 DenisChenu Fixed in Version => 2.05 RC
2013-03-28 16:05 DenisChenu Resolution reopened => fixed
2013-04-08 21:59 c_schmitz Status resolved => closed
2013-08-10 02:03 DenisChenu Changeset attached => LimeSurvey 2.05 deb3570b
2014-01-17 21:03 c_schmitz Relationship added related to 08554


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker